Class Http1Config.BuilderBase.Http1ConfigImpl

java.lang.Object
io.helidon.http.HttpConfig.BuilderBase.HttpConfigImpl
io.helidon.webserver.http1.Http1Config.BuilderBase.Http1ConfigImpl
All Implemented Interfaces:
Prototype.Api, NamedService, NamedService, HttpConfig, Http1Config, ProtocolConfig
Enclosing class:
Http1Config.BuilderBase<BUILDER extends Http1Config.BuilderBase<BUILDER,PROTOTYPE>,PROTOTYPE extends Http1Config>

protected static class Http1Config.BuilderBase.Http1ConfigImpl extends HttpConfig.BuilderBase.HttpConfigImpl implements Http1Config
Generated implementation of the prototype, can be extended by descendant prototype implementations.
  • Constructor Details

    • Http1ConfigImpl

      protected Http1ConfigImpl(Http1Config.BuilderBase<?,?> builder)
      Create an instance providing a builder.
      Parameters:
      builder - extending builder base of this prototype
  • Method Details

    • name

      public String name()
      Description copied from interface: Http1Config
      Name of this configuration, in most cases the same as Http1Config.type().
      Specified by:
      name in interface Http1Config
      Specified by:
      name in interface NamedService
      Specified by:
      name in interface NamedService
      Returns:
      name of this configuration
    • maxPrologueLength

      public int maxPrologueLength()
      Description copied from interface: Http1Config
      Maximal size of received HTTP prologue (GET /path HTTP/1.1).
      Specified by:
      maxPrologueLength in interface Http1Config
      Returns:
      maximal size in bytes
    • maxHeadersSize

      public int maxHeadersSize()
      Description copied from interface: Http1Config
      Maximal size of received headers in bytes.
      Specified by:
      maxHeadersSize in interface Http1Config
      Returns:
      maximal header size
    • validateRequestHostHeader

      @Deprecated(since="4.1.3", forRemoval=true) public boolean validateRequestHostHeader()
      Deprecated, for removal: This API element is subject to removal in a future version.
      Description copied from interface: Http1Config
      Request host header validation. When host header is invalid, we return Status.BAD_REQUEST_400.

      The validation is done according to RFC-3986 (see UriValidator). This is a requirement of the HTTP specification.

      This option allows you to disable the "full-blown" validation ("simple" validation is still in - the port must be parseable to integer).

      Specified by:
      validateRequestHostHeader in interface Http1Config
      Returns:
      whether to do a full validation of Host header according to the specification
    • sendKeepAliveHeader

      public boolean sendKeepAliveHeader()
      Description copied from interface: Http1Config
      Whether to send the default Connection: keep-alive response header for persistent HTTP/1.1 connections.

      RFC 9112 does not require this header for persistent connections, but Helidon 4 defaults to true for backward compatibility. Set this to false to omit the header unless the application sets it explicitly.

      Specified by:
      sendKeepAliveHeader in interface Http1Config
      Returns:
      whether to send the default keep-alive response header
    • validatePrologue

      public boolean validatePrologue()
      Description copied from interface: Http1Config
      If set to false, any query and fragment is accepted (even containing illegal characters). Validation of path is controlled by Http1Config.validatePath().
      Specified by:
      validatePrologue in interface Http1Config
      Returns:
      whether to validate prologue query and fragment
    • validatePath

      public boolean validatePath()
      Description copied from interface: Http1Config
      If set to false, any path is accepted (even containing illegal characters).
      Specified by:
      validatePath in interface Http1Config
      Returns:
      whether to validate path
    • continueImmediately

      public boolean continueImmediately()
      Description copied from interface: Http1Config
      When true WebServer answers to expect continue with 100 continue immediately, not waiting for user to actually request the data.
      Specified by:
      continueImmediately in interface Http1Config
      Returns:
      if true answer with 100 continue immediately after expect continue
    • requestedUriDiscovery

      public RequestedUriDiscoveryContext requestedUriDiscovery()
      Description copied from interface: Http1Config
      Requested URI discovery settings.
      Specified by:
      requestedUriDiscovery in interface Http1Config
      Returns:
      settings for computing the requested URI
    • sendListeners

      public List<Http1ConnectionListener> sendListeners()
      Description copied from interface: Http1Config
      Connection send event listeners for HTTP/1.1.
      Specified by:
      sendListeners in interface Http1Config
      Returns:
      send event listeners
    • receiveListeners

      public List<Http1ConnectionListener> receiveListeners()
      Description copied from interface: Http1Config
      Connection receive event listeners for HTTP/1.1.
      Specified by:
      receiveListeners in interface Http1Config
      Returns:
      receive event listeners
    • compositeSendListener

      public Http1ConnectionListener compositeSendListener()
      Description copied from interface: Http1Config
      A single send listener, this value is computed.
      Specified by:
      compositeSendListener in interface Http1Config
      Returns:
      send listener
    • compositeReceiveListener

      public Http1ConnectionListener compositeReceiveListener()
      Description copied from interface: Http1Config
      A single receive listener, this value is computed.
      Specified by:
      compositeReceiveListener in interface Http1Config
      Returns:
      receive listener
    • receiveLog

      @Deprecated(since="4.5.0", forRemoval=true) public boolean receiveLog()
      Deprecated, for removal: This API element is subject to removal in a future version.
      Description copied from interface: Http1Config
      Logging of received packets. Uses trace and debug levels on logger of Http1LoggingConnectionListener with suffix of .recv`.
      Specified by:
      receiveLog in interface Http1Config
      Returns:
      true if logging should be enabled for received packets, false if no logging should be done
    • sendLog

      @Deprecated(since="4.5.0", forRemoval=true) public boolean sendLog()
      Deprecated, for removal: This API element is subject to removal in a future version.
      Description copied from interface: Http1Config
      Logging of sent packets. Uses trace and debug levels on logger of Http1LoggingConnectionListener with suffix of .send`.
      Specified by:
      sendLog in interface Http1Config
      Returns:
      true if logging should be enabled for sent packets, false if no logging should be done
    • toString

      public String toString()
      Overrides:
      toString in class HttpConfig.BuilderBase.HttpConfigImpl
    • equals

      public boolean equals(Object o)
      Overrides:
      equals in class HttpConfig.BuilderBase.HttpConfigImpl
    • hashCode

      public int hashCode()
      Overrides:
      hashCode in class HttpConfig.BuilderBase.HttpConfigImpl